Skip to main content
GET
/
conversations
/
{conversation_id}
/
agent-runs
/
{run_id}
/
snapshot
Get the durable public stream snapshot for an agent run
curl --request GET \
  --url https://api.veryfront.com/conversations/{conversation_id}/agent-runs/{run_id}/snapshot \
  --header 'Authorization: Bearer <token>'
{
  "after_event_id": 1,
  "events": [
    {
      "event_id": 1,
      "event": {
        "type": "RUN_STARTED",
        "runId": "<string>",
        "threadId": "<string>",
        "agentId": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

conversation_id
string<uuid>
required
run_id
string
required
Minimum string length: 1

Response

Agent run public stream snapshot

after_event_id
integer
required
Required range: x >= 0
events
object[]
required